## ktp-call-ui 20.08.0

=== src/CMakeLists.txt ===
add_subdirectory(dialout)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

set(ktp-call-ui_SRCS
    main.cpp
    call-window.cpp
    call-handler.cpp
    dtmf-handler.cpp
    status-area.cpp
    call-manager.cpp
    approver.cpp
    systemtray-icon.cpp
    qml-interface.cpp
    dtmf-qml.cpp
    ktp_call_ui_debug.cpp
)

add_executable(ktp-call-ui ${ktp-call-ui_SRCS})
target_link_libraries(ktp-call-ui
    ${QTGSTREAMER_QUICK_LIBRARY}
    KTp::CommonInternals
    KF5::Declarative
    KF5::I18n
    KF5::IconThemes
    KF5::Notifications
    KF5::XmlGui
    Qt5::Quick
    Qt5::Qml
    ktpcall
)

install(TARGETS ktp-call-ui DESTINATION ${LIBEXEC_INSTALL_DIR})
install(FILES callwindowui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktp-call-ui)

install( FILES
        qml/Main.qml
        DESTINATION ${DATA_INSTALL_DIR}/ktp-call-ui
)
install(DIRECTORY
        qml/core
        DESTINATION ${DATA_INSTALL_DIR}/ktp-call-ui
)

configure_file(org.freedesktop.Telepathy.Client.KTp.CallUi.service.in
                org.freedesktop.Telepathy.Client.KTp.CallUi.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.CallUi.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

install(FILES KTp.CallUi.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)

=== debian/changelog ===
ktp-call-ui (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with telepathy-qt 0.9.8 (Closes: #948907)
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump libktp-dev to 20.08.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update the patches:
    - dbus_include.patch: drop, seems not needed anymore

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:04:53 +0200

=== debian/control ===
Source: ktp-call-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.3.0~),
               gettext,
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5wallet-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 20.08.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5gstreamer-dev,
               libtelepathy-farstream-dev (>= 0.6.0),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://community.kde.org/KTp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui

Package: kde-telepathy-call-ui
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         gstreamer1.0-x,
         kde-telepathy-data (>= 0.8.1),
         pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         qml-module-org-kde-telepathy,
         qml-module-qtgstreamer (>= 1.2),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
Description: KDE Telepathy UI for audio/video calls
 This package provides the KDE Telepathy component that enables doing
 audio/video calls on XMPP/Jingle and SIP.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='kde-telepathy-call-ui (<= 16.04.0-1~~)'

=== debian/watch ===
version=4
https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## ktp-call-ui 20.08.1

=== debian/changelog ===
ktp-call-ui (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:59:21 +0100

ktp-call-ui (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:51:10 +0100

ktp-call-ui (20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:41:48 +0100

ktp-call-ui (20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:21:59 +0100

ktp-call-ui (20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:40:09 +0100

ktp-call-ui (20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:26:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
            Mark Purcell <msp@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 13),
+               debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
-               gettext,
                libkf5config-dev,
                libkf5declarative-dev,
                libkf5i18n-dev,
@@ -18,7 +17,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 20.08.0~),
+               libktp-dev (>= 4:20.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,
@@ -28,11 +27,10 @@
                pkg-config,
                pkg-kde-tools,
                qtdeclarative5-dev,
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.1.2
 Homepage: https://community.kde.org/KTp
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui
 
 Package: kde-telepathy-call-ui
 Architecture: any
@@ -47,6 +45,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KDE Telepathy UI for audio/video calls
  This package provides the KDE Telepathy component that enables doing
  audio/video calls on XMPP/Jingle and SIP.

## ktp-call-ui 20.12.3

=== debian/changelog ===
ktp-call-ui (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:26:42 +0000

ktp-call-ui (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:59:56 +0000

ktp-call-ui (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:13:55 +0000

ktp-call-ui (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:33:07 +0000

ktp-call-ui (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:57:05 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:20.08.1~),
+               libktp-dev (>= 4:20.12.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

## ktp-call-ui 21.08.1

=== debian/changelog ===
ktp-call-ui (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:38:43 +0100

ktp-call-ui (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:08:10 +0100

ktp-call-ui (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:02:15 +0100

ktp-call-ui (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:37:46 +0100

ktp-call-ui (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:49:21 +0100

ktp-call-ui (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:46:32 +0100

ktp-call-ui (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:12:58 +0100

ktp-call-ui (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:43:17 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:20.12.3~),
+               libktp-dev (>= 4:21.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

## ktp-call-ui 21.12.3

=== CMakeLists.txt ===
project(ktp-call-ui)

cmake_minimum_required(VERSION 2.8.12)
if (POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()

set(KTP_CALL_UI_VERSION "0.8.80")
set(IS_KTP_INTERNAL_MODULE TRUE)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(KF5 REQUIRED COMPONENTS Config Declarative IconThemes I18n Notifications XmlGui KCMUtils)
find_package(Qt5 REQUIRED COMPONENTS Quick Qml)
find_package(KTp REQUIRED)
find_package(TelepathyQt5 REQUIRED)
find_package(TelepathyQt5Farstream REQUIRED)
find_package(Qt5GStreamer REQUIRED)
find_package(Phonon4Qt5 REQUIRED)
find_package(PkgConfig REQUIRED)

include_directories( ${QTGSTREAMER_INCLUDES} )
add_definitions( ${QTGSTREAMER_DEFINITIONS} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMSetupVersion)
include(FeatureSummary)

kde_enable_exceptions()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/version.h @ONLY)

add_subdirectory(libqtf)
add_subdirectory(libktpcall)
add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== libqtf/CMakeLists.txt ===
# This is *A LOT* of dependencies to find one by one,
# since gnome people like to include as many headers as possible
# in their public headers instead of doing forward declarations.
find_package(PkgConfig REQUIRED)
pkg_check_modules(TP_FARSTREAM REQUIRED telepathy-farstream)
pkg_check_modules(FARSTREAM REQUIRED farstream-0.2)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${TP_FARSTREAM_INCLUDE_DIRS}
    ${FARSTREAM_INCLUDE_DIRS}
    ${TELEPATHY_QT5_FARSTREAM_INCLUDE_DIR}
)

add_definitions(
    # These prevent gstreamer from including libxml2 headers
    -DGST_DISABLE_XML
    -DGST_DISABLE_LOADSAVE
)

add_library(qtf STATIC qtf.cpp)

if (TARGET TelepathyQt5::Farstream) # telepathy-qt 0.9.8
    set (TELEPATHY_QT5_FARSTREAM_LIBRARIES TelepathyQt5::Farstream)
endif()

target_link_libraries(qtf
    ${QTGSTREAMER_LIBRARIES}
    ${TP_FARSTREAM_LDFLAGS}
    ${FARSTREAM_LDFLAGS}
    ${TELEPATHY_QT5_FARSTREAM_LIBRARIES}
)

=== debian/changelog ===
ktp-call-ui (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:16:28 +0000

ktp-call-ui (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key
  * Add signature support for debian/watch

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:23:04 +0000

ktp-call-ui (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:30:51 +0000

ktp-call-ui (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:28:01 +0000

ktp-call-ui (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:23:13 +0000

ktp-call-ui (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:30:25 +0000

ktp-call-ui (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:45:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ktp-call-ui
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>,
            Michał Zając <quintasan@kubuntu.org>,
            Mark Purcell <msp@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 1.3.0~),
                libkf5config-dev,
                libkf5declarative-dev,
@@ -17,7 +18,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:21.08.1~),
+               libktp-dev (>= 4:21.12.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

## ktp-call-ui 22.08.1

=== debian/changelog ===
ktp-call-ui (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:45:42 +0100

ktp-call-ui (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:55:03 +0100

ktp-call-ui (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:32:52 +0100

ktp-call-ui (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:07:27 +0100

ktp-call-ui (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:06:33 +0100

ktp-call-ui (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:21.12.3~),
+               libktp-dev (>= 4:22.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

## ktp-call-ui 22.12.1

=== debian/changelog ===
ktp-call-ui (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:07:59 +0100

ktp-call-ui (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:14:51 +0100

ktp-call-ui (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Bump Standards-Version to 4.6.0, no change required.
  * Drop dbgsym migration rules, not needed anymore.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Apr 2022 00:13:28 +0200

ktp-call-ui (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:30:29 +0900

ktp-call-ui (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Bump libktp-dev dependency to same release.
  * Borrow minimal upstream signing key from k3b.
  * Update watch file for signatures.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia, Mark Purcell from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 06 May 2021 10:37:38 +0900

=== debian/control ===
Source: ktp-call-ui
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.6.0~),
               gettext,
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5wallet-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 21.04.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5gstreamer-dev,
               libtelepathy-farstream-dev (>= 0.6.0),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://community.kde.org/KTp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui

Package: kde-telepathy-call-ui
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         gstreamer1.0-x,
         kde-telepathy-data (>= 0.8.1),
         pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         qml-module-org-kde-telepathy,
         qml-module-qtgstreamer (>= 1.2),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
Description: KDE Telepathy UI for audio/video calls
 This package provides the KDE Telepathy component that enables doing
 audio/video calls on XMPP/Jingle and SIP.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-call-ui 22.12.3

=== debian/changelog ===
ktp-call-ui (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:28 +0100

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
          qml-module-qtgstreamer (>= 1.2),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
+Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy,
 Description: KDE Telepathy UI for audio/video calls
  This package provides the KDE Telepathy component that enables doing
  audio/video calls on XMPP/Jingle and SIP.

## ktp-call-ui 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
-project(ktp-call-ui)
+cmake_minimum_required(VERSION 3.16)
 
-cmake_minimum_required(VERSION 2.8.12)
-if (POLICY CMP0063)
-  cmake_policy(SET CMP0063 NEW)
-endif()
+# KDE Gear Version, managed by release script
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
-set(KTP_CALL_UI_VERSION "0.8.80")
-set(IS_KTP_INTERNAL_MODULE TRUE)
+set(KTP_CALL_UI_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-find_package(ECM 1.3.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+project(ktp-call-ui VERSION ${KTP_CALL_UI_VERSION})
+
+find_package(ECM 1.6.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 find_package(KF5 REQUIRED COMPONENTS Config Declarative IconThemes I18n Notifications XmlGui KCMUtils)
 find_package(Qt5 REQUIRED COMPONENTS Quick Qml)
@@ -25,7 +26,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMSetupVersion)
 include(FeatureSummary)
 
@@ -38,5 +39,6 @@
 add_subdirectory(libktpcall)
 add_subdirectory(src)
 
+ki18n_install(po)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,21 +30,21 @@
     ktpcall
 )
 
-install(TARGETS ktp-call-ui DESTINATION ${LIBEXEC_INSTALL_DIR})
-install(FILES callwindowui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktp-call-ui)
+install(TARGETS ktp-call-ui DESTINATION ${KDE_INSTALL_LIBEXECDIR})
+install(FILES callwindowui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/ktp-call-ui)
 
 install( FILES
         qml/Main.qml
-        DESTINATION ${DATA_INSTALL_DIR}/ktp-call-ui
+        DESTINATION ${KDE_INSTALL_DATADIR}/ktp-call-ui
 )
 install(DIRECTORY
         qml/core
-        DESTINATION ${DATA_INSTALL_DIR}/ktp-call-ui
+        DESTINATION ${KDE_INSTALL_DATADIR}/ktp-call-ui
 )
 
 configure_file(org.freedesktop.Telepathy.Client.KTp.CallUi.service.in
                 org.freedesktop.Telepathy.Client.KTp.CallUi.service)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.CallUi.service
-        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
+        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
 
-install(FILES KTp.CallUi.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
+install(FILES KTp.CallUi.client DESTINATION ${KDE_INSTALL_DATAROOTDIR}/telepathy/clients/)

=== debian/changelog ===
ktp-call-ui (23.04.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:39:39 +1100

ktp-call-ui (23.04.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:26:16 +0000

ktp-call-ui (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:54:15 +0100

ktp-call-ui (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:49 +0100

ktp-call-ui (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:34 +0000

ktp-call-ui (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:25:38 -0600

ktp-call-ui (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:19:21 +0000

ktp-call-ui (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libktp-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 12:01:36 +0000

ktp-call-ui (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:15:07 +0000

ktp-call-ui (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:11:20 +0000

ktp-call-ui (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:54:18 +0000

ktp-call-ui (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:14:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktp-call-ui
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Diane Trout <diane@ghic.org>,
            Michał Zając <quintasan@kubuntu.org>,
@@ -18,7 +19,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 21.04.0~),
+               libktp-dev (>= 4:23.04.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,
@@ -28,11 +29,11 @@
                pkg-config,
                pkg-kde-tools,
                qtdeclarative5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://community.kde.org/KTp
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-call-ui
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui
 
 Package: kde-telepathy-call-ui
 Architecture: any
@@ -46,7 +47,7 @@
          qml-module-qtgstreamer (>= 1.2),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy,
+Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
 Description: KDE Telepathy UI for audio/video calls
  This package provides the KDE Telepathy component that enables doing
  audio/video calls on XMPP/Jingle and SIP.
